{% extends 'base.html' %}
{% block head %}
<link rel="preload" as="style" href="{{ url_for('static', filename='css/buttons-core.css') }}"
      xmlns="http://www.w3.org/1999/html" xmlns="http://www.w3.org/1999/html">
<link rel="preload" as="style" href="{{ url_for('static', filename='css/buttons.css') }}">

<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">
<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:title" content="'together we hide what they want'">
<meta property="og:type" content="article">
<meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/freevpn_5m_sm_white.png">
<meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/freevpn_5m_sm_white.png">

{% endblock %}
{% block content %}

{% with active_nav='settings' %}
    {% include "widgets/navtabs.html" %}
{% endwith %}

    <br>
    <br>
    <div class="pure-g">
        <div class="pure-u-1 pure-u-md-2-24"></div>
        <div class="pure-u-1 pure-u-md-20-24">
            <div class="pure-g h-box">
                <div class="pure-u-1-4">
                    <div class="pure-u-1 pure-md-1-1">
                        <a href="{{ url_for('settings.update_site') }}">
                            <img height="22px" src="{{ url_for('static', filename='flags/by_locale') }}/{{locale}}.svg">
                            <b>{{ gettext('Site') }}</b></a>
                    </div>
                </div>
                <div class="pure-u-1-4" style="text-align:center;">
                    <div class="pure-u-1 pure-md-1-1">
                        <a href="{{ url_for('vpn.index') }}">
                            <i class='ion-ios-globe' style="font-size: 24px"></i>
                            <b>{{ gettext('VPN') }}</b></a>
                    </div>
                </div>
                {% if session.user %}
                    <div class="pure-u-1-4" style="text-align:center;">
                        <div class="pure-u-1 pure-md-1-1">
                            <a href="{{ url_for('user.item', username=session.user.username) }}">
                                <i class='ion-ios-contact' style="font-size: 24px"></i>
                                <b>{{ gettext('User') }}</b></a>
                        </div>
                    </div>
                    <div class="pure-u-1-4" style="text-align:right;">
                        <div class="pure-u-1 pure-md-1-1">
                            <a href="{{ url_for('user.playlist') }}">
                                <i class='ion-md-list' style="font-size: 24px"></i>
                                <b>{{ gettext('Playlist') }}</b></a>
                        </div>
                    </div>
                {% endif %}
            </div>
        <div class="h-box">
             {% if conns %}
                <h3>{{ gettext('Connections') }}</h3>

                   {% for conn in conns %}

                    <details>
                        <summary>
                            {% if conn.enabled %}
                            <img src="{{ url_for('static', filename='correct_16.png') }}" />
                            {% else %}
                            <img src="{{ url_for('static', filename='failed_16.png') }}" />
                            {% endif %}
                    <b><u>{{ conn.vpn_node_name }}</b></u>
                    {{ conn.bw_limit | bwremaining (conn.bw_used) }}
                    </summary>
                        <br>
                        <table class="pure-table" >
                          <td>
                              [Interface] <br>
                              PrivateKey = {{ conn.privatekey }} <br>
                              Address = {{ conn.ipv4address }} <br>
                              Address = {{ conn.ipv6address }} <br>
                              DNS = {{ conn.dns }} <br>
                              <br>
                              [Peer] <br>
                              PublicKey = {{ conn.vpn_node_publickey }} <br>
                              PresharedKey = {{ conn.sharedkey }} <br>
                              AllowedIPs = {{ conn.allowedips }} <br>
                              Endpoint = {{ conn.vpn_node_fqdn }}:{{ config['VPN_PORT'] }} <br>
                          </td>
                        </table>
                        <br>
                        <form action="{{ url_for('vpn.conn_action') }}" method="post" >
                            <input type=hidden name=name value="{{ conn.vpn_node_name }}_{{ conn.publickey |truncate(5, true,'') }}">
                            <button class="pure-button" type="submit" name="download" value="{{ conn.config_file }}">{{ gettext('Download') }}</button>&nbsp;&nbsp;&nbsp;
                        </form>
                        <br>
                        <div class="pure-u-md-1-3">
                        <img class="thumbnail" src="data:image/png;base64, {{conn.config_qrcode}}  "/>
                        </div>
                        <br>
                        <br>
                    </details>
                    {% endfor %}
                    <br>
                {% else %}
                {% endif %}

                {% if nodes %}

                    <h3>{{ gettext('Nodes') }}</h3>

                        <form>
                            {% for node in nodes %}
                            <div class="pure-u-1 pure-u-md-1-6">
                                    <input type="radio" id={{ node.name }} name= 'node' value={{ node.name }} ><label for={{ node.name }}>&nbsp;{{ node.name }}&nbsp;</label>
                            </div>
                            {% endfor %}
                            <br>
                            <br>

                            <button class="pure-button" type="submit" name="submit" value="new_conn">{{ gettext('Create New Connection') }}</button>
                        </form>

                {% else %}
                {% endif %}
            <br>
            <details>
                <summary>
                   <b><u>{{ gettext('Why use the altCensored VPN?') }}</b></u>
                </summary>
                <p>{{ gettext('A virtual private network (VPN) service provides a proxy server to help users bypass Internet censorship such as \
                    geoblocking and users who want to protect their communications against data profiling or MitM attacks on hostile networks') }}.
                    <a href = "https://archive.is/40UY8" target="_blank">(Wikipedia)</a>
                </p>
                <p>{{ gettext('Our goal is to raise funds for fighting censorship') }}
                    <b>{{ gettext('(together we show what they hide)') }}</b>
                   {{ gettext('and improve online privacy') }}
                    <b>{{ gettext('(together we hide what they want)') }}</b>.
                </p>

            </details>
            <br>
            <details>
                <summary>
                   <b><u>{{ gettext('Wireguard Client Setup') }}</b></u>
                </summary>
                <p>{{ gettext('Official') }}&nbsp;
                <a href = "https://wireguard.com/install" target="_blank">{{ gettext('Wireguard Clients') }}</a>.
                </p>
                </details>
            <br>
            <div class="thumbnail">
                <img class="thumbnail" src="https://altCensored.com/freevpn_5m.png" >
            </div>
            <br>
            <center>"WireGuard" is a registered trademark of Jason A. Donenfeld.</center>
{% endblock %}